let sliderBody = document.querySelector(".slider-body");
let imgs = document.querySelectorAll(".slider img");
let next = document.querySelector("#next");
let prev = document.querySelector("#prev");
let counter = 0;


window.addEventListener("load", function(){
    imgs[0].style.opacity = "1";
    imgs[0].style.transform = "scale(1)";
});

next.addEventListener("click", function(){
    imgs.forEach(function(img){
        img.style.opacity = "0";
        img.style.transform = "scale(1.4)";
    });

    counter++;
    if(counter > imgs.length - 1)
    {
        counter = 0;
    }
    imgs[counter].style.opacity = "1";
    imgs[counter].style.transform = "scale(1)";

});


prev.addEventListener("click", function(){
    imgs.forEach(function(img){
        img.style.opacity = "0";
        img.style.transform = "scale(1.4)";
    });

    counter--;
    if(counter < 0)
    {
        counter = imgs.length - 1;
    }
    imgs[counter].style.opacity = "1";
    imgs[counter].style.transform = "scale(1)";

});




let anim = setInterval(function(){
    imgs.forEach(function(img){
        img.style.opacity = "0";
        img.style.transform = "scale(1.4)";
    });

    counter++;
    if(counter > imgs.length - 1)
    {
        counter = 0;
    }
    imgs[counter].style.opacity = "1";
    imgs[counter].style.transform = "scale(1)";
}, 2000);


sliderBody.addEventListener("mouseenter", function(){
    clearInterval(anim);
});

sliderBody.addEventListener("mouseleave", function(){
    anim = setInterval(function(){
        imgs.forEach(function(img){
            img.style.opacity = "0";
            img.style.transform = "scale(1.4)";
        });
    
        counter++;
        if(counter > imgs.length - 1)
        {
            counter = 0;
        }
        imgs[counter].style.opacity = "1";
        imgs[counter].style.transform = "scale(1)";
    }, 2000);
});